Bug 784656 - Globally uncaught exception in PlatformSummaryPortlet$3.onFailure() occurs when navigating away from the Dashboard before it has fully loaded
Globally uncaught exception in PlatformSummaryPortlet$3.onFailure() occurs wh...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.2
Unspecified Unspecified
medium Severity high (vote)
: ---
: RHQ 4.3.0
Assigned To: Jeeva Kandasamy
Mike Foley
:
Depends On:
Blocks: rhq41-ui rhq-uxd 791228
  Show dependency treegraph
 
Reported: 2012-01-25 12:18 EST by Ian Springer
Modified: 2013-08-31 06:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 791228 (view as bug list)
Environment:
Last Closed: 2013-08-31 06:12:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
exception (149.45 KB, image/jpeg)
2012-04-23 06:54 EDT, Jeeva Kandasamy
no flags Details
Error log (4.66 KB, text/x-log)
2012-04-23 10:09 EDT, Jeeva Kandasamy
no flags Details
IE screen shot (184.99 KB, image/jpeg)
2012-04-23 10:11 EDT, Jeeva Kandasamy
no flags Details
Firefox Screen shot (138.51 KB, image/jpeg)
2012-04-23 10:12 EDT, Jeeva Kandasamy
no flags Details
error on f16 and firefox 11.0 (6.65 KB, text/plain)
2012-04-23 17:20 EDT, John Mazzitelli
no flags Details

  None (edit)
Description Ian Springer 2012-01-25 12:18:48 EST
I saw this in JON 3.0. It appears to be a "quick-click" issue. It's pretty easy to reproduce: click on the Dashboard top link, then quickly click on some other top link (eg - Inventory) before the dashboard has finished loading.

Here is the JavaScript stack trace (I'll include a Java stack trace later, if I can reproduce it in hosted mode):

com.google.gwt.core.client.JavaScriptException:(TypeError): this.getField(_3) is null
 stack: isc_ListGrid_sort(1,true)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:2584
isc_ListGrid_resort()@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:2583
isc_ListGrid_setFields((void 0))@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:1216
isc_ListGrid_refreshFields()@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:1256
org_rhq_enterprise_gui_coregui_client_dashboard_portlets_platform_PlatformSummaryPortlet$3_onFailure__Ljava_lang_Throwable_2V([object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/CE2276AC5BAC83316A1FFD8E5A1EDAB3.cache.html:99805
com_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_$onResponseReceived__Lcom_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_2Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V([object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/CE2276AC5BAC83316A1FFD8E5A1EDAB3.cache.html:9349
org_rhq_enterprise_gui_coregui_client_util_rpc_TrackingRequestCallback_onResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V([object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/CE2276AC5BAC83316A1FFD8E5A1EDAB3.cache.html:168770
com_google_gwt_http_client_Request_$fireOnResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_RequestCallback_2V([object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/CE2276AC5BAC83316A1FFD8E5A1EDAB3.cache.html:4376
com_google_gwt_http_client_RequestBuilder$1_onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V([object XMLHttpRequest])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/CE2276AC5BAC83316A1FFD8E5A1EDAB3.cache.html:4600
([object Event])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/CE2276AC5BAC83316A1FFD8E5A1EDAB3.cache.html:12659
com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2((function () {handler.onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V(_this);}),[object XMLHttpRequest],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/CE2276AC5BAC83316A1FFD8E5A1EDAB3.cache.html:2474
([object Event])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/CE2276AC5BAC83316A1FFD8E5A1EDAB3.cache.html:2463

 fileName: http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js
 lineNumber: 2584
--- STACK TRACE FOLLOWS ---
(TypeError): this.getField(_3) is null
 stack: isc_ListGrid_sort(1,true)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:2584
isc_ListGrid_resort()@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:2583
isc_ListGrid_setFields((void 0))@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:1216
isc_ListGrid_refreshFields()@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:1256
org_rhq_enterprise_gui_coregui_client_dashboard_portlets_platform_PlatformSummaryPortlet$3_onFailure__Ljava_lang_Throwable_2V([object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/CE2276AC5BAC83316A1FFD8E5A1EDAB3.cache.html:99805
com_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_$onResponseReceived__Lcom_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_2Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V([object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/CE2276AC5BAC83316A1FFD8E5A1EDAB3.cache.html:9349
org_rhq_enterprise_gui_coregui_client_util_rpc_TrackingRequestCallback_onResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V([object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/CE2276AC5BAC83316A1FFD8E5A1EDAB3.cache.html:168770
com_google_gwt_http_client_Request_$fireOnResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_RequestCallback_2V([object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/CE2276AC5BAC83316A1FFD8E5A1EDAB3.cache.html:4376
com_google_gwt_http_client_RequestBuilder$1_onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V([object XMLHttpRequest])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/CE2276AC5BAC83316A1FFD8E5A1EDAB3.cache.html:4600
([object Event])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/CE2276AC5BAC83316A1FFD8E5A1EDAB3.cache.html:12659
com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2((function () {handler.onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V(_this);}),[object XMLHttpRequest],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/CE2276AC5BAC83316A1FFD8E5A1EDAB3.cache.html:2474
([object Event])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/CE2276AC5BAC83316A1FFD8E5A1EDAB3.cache.html:2463

 fileName: http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js
 lineNumber: 2584
   at Unknown.isc_ListGrid_sort(Unknown source:0)
   at Unknown.isc_ListGrid_resort(Unknown source:0)
   at Unknown.isc_ListGrid_setFields(Unknown source:0)
   at Unknown.isc_ListGrid_refreshFields(Unknown source:0)
   at Unknown.org_rhq_enterprise_gui_coregui_client_dashboard_portlets_platform_PlatformSummaryPortlet$3_onFailure__Ljava_lang_Throwable_2V(Unknown source:0)
   at Unknown.com_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_$onResponseReceived__Lcom_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_2Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V(Unknown source:0)
   at Unknown.org_rhq_enterprise_gui_coregui_client_util_rpc_TrackingRequestCallback_onResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V(Unknown source:0)
   at Unknown.com_google_gwt_http_client_Request_$fireOnResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_RequestCallback_2V(Unknown source:0)
   at Unknown.com_google_gwt_http_client_RequestBuilder$1_onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V(Unknown source:0)
   at Unknown.anonymous(Unknown source:0)
   at Unknown.com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2(Unknown source:0)
   at Unknown.anonymous(Unknown source:0)
   at Unknown.anonymous(Unknown source:0)
Comment 1 Ian Springer 2012-01-25 14:11:37 EST
I reproduced this with HEAD of RHQ master in hosted mode. Note, the Platform Utilization portlet is not enabled by default in RHQ, as it is in JON, so you must first add that portlet to your dashboard before reproducing this bug. 

Here is the stack trace, which unfortunately does not provide much additional information, since the exception occurs deep inside SmartClient native JavaScript:

com.google.gwt.core.client.JavaScriptException:(TypeError): this.getField(_3) is null
 fileName: http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js
 lineNumber: 2584
 stack: isc_ListGrid_sort(1,true)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:2584
isc_ListGrid_resort()@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:2583
isc_ListGrid_setFields((void 0))@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:1216
isc_ListGrid_refreshFields()@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:1256
()@http://localhost:7080:973
@:0
([object GWTJavaObject],16384001,[object XMLHttpRequest])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/hosted.html?org_rhq_enterprise_gui_coregui_CoreGUI:56
([object Event])@http://localhost:7080:48
((function () {__gwt_makeJavaInvoke(1)(handler, 16384001, _this);}),[object XMLHttpRequest],[object Object])@http://localhost:7080:12
@:0
(null,27,(function () {__gwt_makeJavaInvoke(1)(handler, 16384001, _this);}),[object XMLHttpRequest],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/hosted.html?org_rhq_enterprise_gui_coregui_CoreGUI:56
([object Event])@http://localhost:7080:63

--- STACK TRACE FOLLOWS ---
(TypeError): this.getField(_3) is null
 fileName: http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js
 lineNumber: 2584
 stack: isc_ListGrid_sort(1,true)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:2584
isc_ListGrid_resort()@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:2583
isc_ListGrid_setFields((void 0))@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:1216
isc_ListGrid_refreshFields()@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:1256
()@http://localhost:7080:973
@:0
([object GWTJavaObject],16384001,[object XMLHttpRequest])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/hosted.html?org_rhq_enterprise_gui_coregui_CoreGUI:56
([object Event])@http://localhost:7080:48
((function () {__gwt_makeJavaInvoke(1)(handler, 16384001, _this);}),[object XMLHttpRequest],[object Object])@http://localhost:7080:12
@:0
(null,27,(function () {__gwt_makeJavaInvoke(1)(handler, 16384001, _this);}),[object XMLHttpRequest],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/hosted.html?org_rhq_enterprise_gui_coregui_CoreGUI:56
([object Event])@http://localhost:7080:63

   at com.google.gwt.dev.shell.BrowserChannelServer.invokeJavascript(BrowserChannelServer.java:195)
   at com.google.gwt.dev.shell.ModuleSpaceOOPHM.doInvoke(ModuleSpaceOOPHM.java:120)
   at com.google.gwt.dev.shell.ModuleSpace.invokeNative(ModuleSpace.java:507)
   at com.google.gwt.dev.shell.ModuleSpace.invokeNativeObject(ModuleSpace.java:264)
   at com.google.gwt.dev.shell.JavaScriptHost.invokeNativeObject(JavaScriptHost.java:91)
   at com.google.gwt.core.client.impl.Impl.apply(Impl.java)
   at com.google.gwt.core.client.impl.Impl.entry0(Impl.java:188)
   at sun.reflect.GeneratedMethodAccessor19.invoke(Unknown Source)
   at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
   at java.lang.reflect.Method.invoke(Method.java:597)
   at com.google.gwt.dev.shell.MethodAdaptor.invoke(MethodAdaptor.java:103)
   at com.google.gwt.dev.shell.MethodDispatch.invoke(MethodDispatch.java:71)
   at com.google.gwt.dev.shell.OophmSessionHandler.invoke(OophmSessionHandler.java:157)
   at com.google.gwt.dev.shell.BrowserChannel.reactToMessages(BrowserChannel.java:1669)
   at com.google.gwt.dev.shell.BrowserChannelServer.processConnection(BrowserChannelServer.java:401)
   at com.google.gwt.dev.shell.BrowserChannelServer.run(BrowserChannelServer.java:222)
   at java.lang.Thread.run(Thread.java:662)
Comment 2 John Mazzitelli 2012-02-14 11:30:41 EST
There are two code paths where this can happen that need to be tested.

The error happens when the agent is up and when the agent is down. These two conditions must be tested to confirm any patch fixes the problem. So, specifically to test:

TEST #1

1) Have a platform imported into inventory
2) Log into the GUI and ensure you add the "Platform Utilization" portlet to your dashboard
3) Traverse to, say, the #Inventory main page in the UI
4a) Make sure the agent is running
5) Click on the Dashboard link at the top, then quickly click the #Inventory link at the top
6) Confirm that you do not see a red "Global exception" error

TEST #2

Do the same as above, except replace step 4a with the following:

4b) Make sure the agent is NOT running
Comment 3 John Mazzitelli 2012-02-14 14:07:48 EST
git master commit: 4150452
Comment 4 Jeeva Kandasamy 2012-04-23 06:54:29 EDT
Created attachment 579495 [details]
exception

Followed the John Mazzitelli Steps on Comment 3 and able to reproduce this issue. As I'm getting this issue while running agent, I did not try with agent offline.

Build Used: 
Version: 4.4.0-SNAPSHOT
Build Number: 28e565c
GWT Version: 2.4.0
SmartGWT Version: 3.0

Browser: Google Chrome 18.0.1025.162

Error:

Message : Globally uncaught exception
Severity : Error
Time :	Monday, April 23, 2012 4:20:51 PM UTC+5:30
Detail : com.google.gwt.core.client.JavaScriptException:(TypeError): Cannot call method 'Fd' of null
--- STACK TRACE FOLLOWS ---
(TypeError): Cannot call method 'Fd' of null
   at Unknown.Z6b(Unknown Source)
   at Unknown.Zhe(Unknown Source)
   at Unknown.cie(Unknown Source)
   at Unknown.Ube(Unknown Source)
   at Unknown.Xbe(Unknown Source)
   at Unknown.qf(Unknown Source)
   at Unknown.anonymous(Unknown Source)
   at Unknown.th(Unknown Source)
   at Unknown.wh(Unknown Source)
   at Unknown.anonymous(Unknown Source)

Screen shot is attached.
Comment 5 John Mazzitelli 2012-04-23 08:06:57 EDT
> Browser: Google Chrome 18.0.1025.162

Correct me if I'm wrong, but we don't officially support Chrome. Is QA now testing using Chrome?

I tested using Firefox.
Comment 6 Jeeva Kandasamy 2012-04-23 10:09:34 EDT
Created attachment 579558 [details]
Error log

I'm able to reproduce this issue on the following browsers also,

Firefox ESR 10.0.3 and IE 8 (Version: 8.0.6001.18702)

Browser Error log and screen shots are attached.
Comment 7 Jeeva Kandasamy 2012-04-23 10:11:05 EDT
Created attachment 579560 [details]
IE screen shot
Comment 8 Jeeva Kandasamy 2012-04-23 10:12:00 EDT
Created attachment 579563 [details]
Firefox Screen shot
Comment 9 John Mazzitelli 2012-04-23 15:46:30 EDT
FYI: I cannot replicate this error on FF 4.0.1.
Comment 10 John Mazzitelli 2012-04-23 16:13:26 EDT
FYI: can't replicate this on Google Chrome 14.0.835.202

(note, all my testing is on Fedora 15)
Comment 11 John Mazzitelli 2012-04-23 17:12:57 EDT
installed F16 on a VM, tried FireFox 7.0.1 - still can't get it to break.
Comment 12 John Mazzitelli 2012-04-23 17:20:54 EDT
Created attachment 579696 [details]
error on f16 and firefox 11.0

replicated on F16 and Firefox 11.0. see attachment for stack
Comment 13 John Mazzitelli 2012-04-23 17:24:29 EDT
look at the latest attachment - notice that this isn't involving the portlet! So this may just be some other bug when "fast clicking"
Comment 14 John Mazzitelli 2012-04-24 11:09:33 EDT
I can't get  Firefox 10.0 to not crash entirely on Fedora16 VM when loading the RHQ app. So I can't try to replicate with that version.
Comment 15 John Mazzitelli 2012-04-24 11:11:09 EDT
(In reply to comment #14)
> I can't get  Firefox 10.0 to not crash entirely on Fedora16 VM when loading the
> RHQ app. So I can't try to replicate with that version.

Ignore that comment - I'm getting confused with all the versions I'm trying. I yum installed FF 11.0 and its crashing on me. Which is weird, because it was working before (and it was this version where I saw the RHQ bug).
Comment 16 John Mazzitelli 2012-04-24 12:48:05 EDT
ok, I just replicated on my local FF 4.0 - but it was a ridiculous amount of fast clicking to have it happen just once. I must have clicked between dashboard and inventory links 20 or 30 times clicking as fast as I could between the two. That's the only way I can get it to happen. So I think this should be a low priority/severity.

I also don't think this involves the portlet as the original BZ indicated. I'm gonna close this again, but create a new BZ with the latest stack trace since this is a different problem.
Comment 17 John Mazzitelli 2012-04-24 12:52:35 EDT
see bug #815863 for the new BZ I created re: this latest error.
Comment 18 Jeeva Kandasamy 2012-04-26 07:38:48 EDT
verified on the Build:
Version: 4.4.0-SNAPSHOT
Build Number: c87d039
GWT Version: 2.4.0
SmartGWT Version: 3.0

Browser: Firefox ESR 10.0.3
OS: RHEL 6.2 x86_64

Issue mentioned on description was not reproduced. However if we do very fast click between Dashboard and Inventory generates other exceptions. For that we have created another bug https://bugzilla.redhat.com/show_bug.cgi?id=815863, Hence I'm moving this bug to verified state.
Comment 20 Heiko W. Rupp 2013-08-31 06:12:38 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.